org.deidentifier.arx.gui.view.impl.wizard

## Class HierarchyWizardModelOrder<T>

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardModelAbstract<T>
  - - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardModelGrouping<T>
    - - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardModelOrder<T>

Type Parameters:
  `T` -

    public class HierarchyWizardModelOrder<T>
    extends HierarchyWizardModelGrouping<T>

A model for order-based builders.

Author:
  Fabian Prasser

### Nested Class Summary

### Nested classes/interfaces inherited from class org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardModelGrouping

`HierarchyWizardModelGrouping.HierarchyWizardGroupingGroup<U>, HierarchyWizardModelGrouping.HierarchyWizardGroupingInterval<U>, HierarchyWizardModelGrouping.HierarchyWizardGroupingRange<U>`

### Constructor Summary

Constructors
Constructor and Description
`HierarchyWizardModelOrder(DataType<T> dataType, java.util.Locale locale, java.lang.String[] data)` Constructor to create an initial definition.

### Method Summary

All Methods Instance Methods Concrete Methods
`HierarchyBuilderOrderBased<T>` `getBuilder(boolean serializable)` Returns the builder currently configured.
`java.util.Locale` `getLocale()` Returns the current locale.
`boolean` `moveDown(int index)` Moves an item down.
`boolean` `moveUp(int index)` Moves an item up.
`void` `parse(HierarchyBuilder<T> builder)` Parses a builder and updates the model accordingly.
`boolean` `sort(DataType<?> type)` Sorts the data.

### Methods inherited from class org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardModelGrouping

`addAfter, addBefore, addRight, getDataType, getDefaultFunction, getIntervals, getLowerRange, getModelGroups, getRenderer, getSelectedElement, getUpperRange, isFirst, isLast, isShowIntervals, mergeDown, mergeUp, parse, parse, register, remove, setDefaultFunction, setSelectedElement, update, update, updateUI`

### Methods inherited from class org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardModelAbstract

`getData, getError, getGroups, getHierarchy, setView`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HierarchyWizardModelOrder

    public HierarchyWizardModelOrder(DataType<T> dataType,
                                     java.util.Locale locale,
                                     java.lang.String[] data)

Constructor to create an initial definition.

Parameters:
  `dataType` -
  `locale` -
  `data` -

### Method Detail

#### getBuilder

    public HierarchyBuilderOrderBased<T> getBuilder(boolean serializable)
                                             throws java.lang.Exception

Description copied from class: `HierarchyWizardModelAbstract`
Returns the builder currently configured.

Specified by:
  `getBuilder` in class `HierarchyWizardModelAbstract<T>`
Returns:
Throws:
  `java.lang.Exception`

#### getLocale

    public java.util.Locale getLocale()

Returns the current locale.

Returns:

#### moveDown

    public boolean moveDown(int index)

Moves an item down.

Parameters:
  `index` -
Returns:

#### moveUp

    public boolean moveUp(int index)

Moves an item up.

Parameters:
  `index` -
Returns:

#### parse

    public void parse(HierarchyBuilder<T> builder)
               throws java.lang.IllegalArgumentException

Description copied from class: `HierarchyWizardModelAbstract`
Parses a builder and updates the model accordingly.

Specified by:
  `parse` in class `HierarchyWizardModelAbstract<T>`
Throws:
  `java.lang.IllegalArgumentException`

#### sort

    public boolean sort(DataType<?> type)

Sorts the data.

Parameters:
  `type` -
Returns: